#!/usr/bin/perl -w
#----------------------------------------
# Script Name: Prepare.pm
# Script Version: 1.0
# Date: 12.31.2000
# Author: R. Allen Wyke
# Description: This module contains 2 subroutines. The first takes
#    a single parameter, which we assume is from a console window,
#    and removes any tailing return characters. The second subroutine
#    will print the "results" to the user's screen. The library requires
#    that you have the Exporter module accessible. To install the
#    library, simply place it in the lib subdirectory of your Perl
#    distribution with the other modules. To load it and all the items 
#    in it use the following syntax:
#       use Prepare qw(:DEFAULT :all :version);
# Revision History:
#    1.0/12.31.2000: original version
#----------------------------------------

# define this as a package
package Prepare;

# pull in the Exporter module and make all items avialable for exporting
# if the user specifically requests to import it.
require Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw(clean my_print);  

#----------------------------------------
# Subroutine: clean()
# Version Added: 1.0
# Input: user entered data that needs any return characters removed.
# Output: input without return character.
# Description: This subroutine simply takes user input and returns
#   the input after any trailing return character has been removed.
#---------------------------------------- 
sub clean{
  return chomp($_[0]);
}

#----------------------------------------
# Subroutine: my_print()
# Version Added: 1.0
# Input: what you want to print
# Output: a print statement containing the input plus some extra text
# Description: This subroutine simply takes a variable and returns
#   a print() statement with some additional text.
#---------------------------------------- 
sub my_print{
  return print("The Results: $_[0]\n");
}