#!/usr/bin/perl

# require Perl 5.002 for this script to work
require 5.002;

# initialize some variables
$is_win32 = $^O eq "MSWin32";
$is_unix = ($^O eq "solaris") or ($^O eq "sunos") or ($^O eq "linux");
$is_macos = $^O eq "MacOS";

# in these if statements, check to see what OS is running the 
# script and perform any OS-specific tasks here
if($is_win32){

  # print warning and set $default_path
  print "\nNOTE: This example assumes Netscape Communicator 4.x\n";
  print "and the default installation location\n\n";
  $default_path = '"Program Files"\Netscape\Communicator\Program\\';

  # prompt the user for the drive that Netscape is installed on
  print 'Drive Installed On (i.e., c, d, e, etc.): ';
  chomp($drive = <STDIN>);

  # build path to executable and store in $netscape variable  
  $netscape = $drive . ":\\" . $default_path . "netscape.exe";

}elsif($is_unix){

  # print warning and set $netscape
  print "\nNOTE: This example assumes Netscape Navigator 4.x\n";
  print "is in your PATH\n\n";
  $netscape = "netscape";

}elsif($is_macos){

  # print warning and set $default_path
  print "\nNOTE: This example assumes Netscape Communicator 4.x\n";
  print "and the default installation location\n\n";
  $default_path = 'Applications:\'Netscape Communicator Folder\':';

  # prompt the user for the name of their disk that Netscape is installed on
  $drive = MacPerl::Ask('Disk Netscape Communicator Installed On: ');

  # build path to executable and store in $netscape variable
  $netscape = "'" . $drive . "':" . $default_path . "'Netscape Communicator'";

} else {
  die "\nError: This script can not be executed on this system\n";
}

# call system() function and store result
$result = system($netscape);

# if $? contains anything, store values in appropriate variable

# contains exit status
if($is_win32){
  $exit = -$?/256;  
}else{
  $exit = $?; # contains exit status
}
$sig = $? & 127;   # contains signal number
$core = $? & 128;  # contains 1 if program performed core dump

# if system() call returned non-zero then problem. exit
# program and send error information to STDOUT
$result == 0 or die "\n$netscape\n\nExit: $exit\nSignal Number: $sig\nCore: $core\n\nMessage: $!";